#! /usr/bin/rpm
%define _unpackaged_files_terminate_build  0
 
# --------------------------------------------------------------------
Summary: 	InterCom server for RCU
Name: 		rcuicl
Version: 	0.1
Release: 	3
License: 	GPL
Group: 		System/Services
URL: 		http://fmd.nbi.dk/fmd/fee/
Source0: 	rcuicl-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/rcuicl-%{version}-%{release}-buildroot
BuildRequires:	rcuconf-devel
BuildRequires:	intercomlayer-devel
%description
InterCom server for RCU

%files
%defattr(-,root,root)
%config(noreplace) /etc/rcuicl/*
%config(noreplace) /etc/sysconfig/rcuicl
%{_prefix}/sbin/*
%{_prefix}/share/man/man8/*
/etc/init.d/*
/var/log/rcuicl/
/var/run

# --------------------------------------------------------------------
%prep 
%setup -q -n rcuicl-%{version}

%build
%configure	

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install 
mkdir -p ${RPM_BUILD_ROOT}/var/log/rcuicl
mkdir -p ${RPM_BUILD_ROOT}/var/run 

%clean
make clean
rm -rf $RPM_BUILD_ROOT

# --------------------------------------------------------------------
%changelog
* Sat Apr 07 2007 Christian Holm Christensen <cholm@nbi.dk>
- New release

* Sat Apr 07 2007 Christian Holm Christensen <cholm@nbi.dk>
- New release to mark installation

* Thu Mar 29 2007 Christian Holm Christensen <cholm@nbi.dk>
- Split off DB access classses into a separate project

* Wed Feb 21 2007 Christian Holm Christensen <cholm@nbi.dk>
- Initial release
